/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */

.box {
  &.box-primary {
    border-top-color: $dge-prospective;
  }
  &.box-solid {
    &.box-primary {
      @include box-solid-variant($dge-prospective);
    }
  }
}

.box-body {
  padding: $box-inner-padding;
  .box-file {
    padding-top: 5px;
  }
}

.box-header,
.box-footer {
  padding: $box-title-padding;
}

.box-header {
  .box-title {
    display: block;
    font-size: 15px;
    font-weight: 400;
    //line-height: inherit;
    > .fa,
    > .glyphicon,
    > .ion {
      margin-right: 3px;
    }
  }

  .box-title > small {
    font-size: 13px;
    display: inline-block;
    padding-left: 4px;
    font-weight: 300;
  }
}

// forms box-body : remove margin bottom for last form-group
form .box-body .form-group:last-child {
  margin-bottom: 0;
}

// remove margin bottom
//form > .box-body {
//  padding-bottom: 0px;
//}

// remove extra space in box list-group
.box .list-group-unbordered.no-margin {
  &:last-child .list-group-item:last-child {
    padding-bottom: 0;
    border-bottom:0;
  }
  &:first-child .list-group-item:first-child {
    padding-top: 0;
    border-top:0;
  }
}

.box-sm {
  .box-header {
    padding:6px 10px;

    > .fa,
    > .glyphicon,
    > .io,
    .box-title {
      font-size: 14px;
    }
    > .box-tools {
      top: 2px;
    }
  }
  .box-footer {
    padding:6px 10px;
  }
}
